package com.ms.biz.service.impl;

import com.ms.dal.entity.PurchaseOrderItem;
import com.ms.biz.service.PurchaseOrderItemService;
import com.ms.dal.mapper.PurchaseOrderItemMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class PurchaseOrderItemServiceImpl implements PurchaseOrderItemService{

    @Autowired
    private PurchaseOrderItemMapper purchaseOrderItemMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return purchaseOrderItemMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(PurchaseOrderItem record) {
        return purchaseOrderItemMapper.insert(record);
    }

    @Override
    public int insertSelective(PurchaseOrderItem record) {
        return purchaseOrderItemMapper.insertSelective(record);
    }

    @Override
    public PurchaseOrderItem selectByPrimaryKey(Long id) {
        return purchaseOrderItemMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(PurchaseOrderItem record) {
        return purchaseOrderItemMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(PurchaseOrderItem record) {
        return purchaseOrderItemMapper.updateByPrimaryKey(record);
    }

}




